<ion-header>
  <ion-toolbar class="fx-toolbar">
    <ion-buttons slot="start">
      <ion-button class="text-white">
        <ion-back-button class="text-white" defaultHref="tabs/tab1"></ion-back-button>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content class="bg-light">
  <section class="class-banner ion-padding">
    <ion-row class="ion-padding-top ion-margin-top">
      <ion-col class="ion-padding-bottom ion-margin-bottom" sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3">
        <ion-text class="title text-white animated fadeInDown">
          Forum
        </ion-text>
      </ion-col>
      <ion-col sizeXs="12" sizeSm="10" offsetSm="1" sizeLg="8" offsetLg="2" sizeXl="6" offsetXl="3" class="ion-no-padding">
        <div class="scroll-overflow">
          <div class="scroll-tab" *ngFor="let forumTab of forumTabs; let i = index" >
            <div class="forum-tab" (click)="activateForum(forumTab)" [ngClass]="{'active-forum': forumTab.active === true}">
              {{forumTab.title}}
            </div>
          </div>
        </div>
      </ion-col>
    </ion-row>
  </section>
  <section class="ion-padding valuable-section">
    <ion-row>
      <ion-col size="12">
        <div class="title-btn vertical-align ion-justify-content-start">
          Post Something Valuable <ion-icon name="share-alt" class="ion-justify-content-end"></ion-icon>
        </div>
      </ion-col>
    </ion-row>
  </section>
  <section class="ion-padding">
    <ion-row>
      <ion-col size="12" *ngFor="let forum of forums; let i = index">
        <ion-card class="form-card">
          <ion-row>
            <ion-col size="3">
              <div class="forum-image">
                <img [src]="forum.image">
              </div>
            </ion-col>
            <ion-col size="6" class="vertical-align ion-justify-content-start">
              <ion-row>
                <ion-col size="12" class="no-padding-bottom">
                  <ion-text class="forum-title">
                    {{forum.title}}
                  </ion-text>
                </ion-col>
                <ion-col size="12">
                  <ion-text class="sub-content">
                    {{forum.subtitle}}
                  </ion-text>
                </ion-col>
              </ion-row>
            </ion-col>
            <ion-col size="3" class="vertical-align ion-no-padding">
              <ion-text class="sub-content">
                {{forum.date}}
              </ion-text>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col size="12" class="ion-padding-top">
              <ion-text class="forum-description">
                {{forum.content}}
              </ion-text>
            </ion-col>
            <ion-col size="12">
              <div class="comment-image">
                <img [src]="forum.commentImage">
              </div>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col size="12">
              <div class="vertical-line"></div>
            </ion-col>
          </ion-row>
          <ion-row>
            <ion-col size="4" class="vertical-align ion-justify-content-start">
              <ion-text class="ft-text"><ion-icon name="thumbs-up"></ion-icon> Like (25)</ion-text>
            </ion-col>
            <ion-col size="4" class="vertical-align ion-justify-content-center">
              <ion-text class="ft-text"><ion-icon name="chatboxes"></ion-icon> Comment (25)</ion-text>
            </ion-col>
            <ion-col size="4" class="vertical-align ion-justify-content-end">
              <ion-text class="ft-text"><ion-icon name="share"></ion-icon> Share (25)</ion-text>
            </ion-col>
          </ion-row>



        </ion-card>
      </ion-col>
    </ion-row>
  </section>
</ion-content>
